#
# spec file for package yast2-auth-client
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-auth-client
Version:        5.0.0
Release:        1.5
URL:            https://github.com/yast/yast-auth-client
Summary:        YaST2 - Centralised System Authentication Configuration
License:        GPL-2.0-only
Group:          System/YaST

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  doxygen
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-network
BuildRequires:  yast2-pam
BuildRequires:  yast2-testsuite
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)

PreReq:         %fillup_prereq
Requires:       net-tools
Requires:       yast2
Requires:       yast2 >= 2.21.22
Requires:       yast2-pam >= 2.20.0
Requires:       yast2-ruby-bindings >= 1.0.0

Obsoletes:      yast2-kerberos-client
Obsoletes:      yast2-ldap-client

Supplements:    autoyast(auth-client)

BuildArch:      noarch

%description
With this YaST2 module you may configure centralised system authentication, on a single or multipe network domains.

%prep
%setup -q

%build

%install
%yast_install
%yast_metainfo

%files
%doc %{yast_docdir}
%{yast_libdir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_clientdir}
%{yast_scrconfdir}
%{yast_schemadir}
%{yast_icondir}
%license COPYING

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Mon Mar  6 2023 Martin Vidner <mvidner@suse.com>
- Stop using File.exists? which no longer works in Ruby 3.2
  (bsc#1206419)
- 4.6.1
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Aug 31 2022 Michal Filka <mfilka@suse.com>
- bsc#1202919
  - fixed internal error. Do not call function removed in 4.4.3
- 4.5.4
* Tue Aug  2 2022 Samuel Cabrero <scabrero@suse.de>
- Fix an error opening "User Logon" after removing pam_ldap
- Drop a desktop file to remove the "LDAP and Kerberos" menu entry
  after removing pam_ldap
- 4.5.3
* Mon Aug  1 2022 Samuel Cabrero <scabrero@suse.de>
- Allow to define the dnsHostName attribute when joining to AD;
  (bsc#1200964);
- 4.5.2
* Wed Jul 27 2022 William Brown <william.brown@suse.com>
- Remove nss_ldap and pam_ldap support in favour of SSSD
  (gh#yast/yast-auth-client#82)
- 4.5.1
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Wed May  5 2021 Samuel Cabrero <scabrero@suse.de>
- Fix an error importing the configuration when the json does not
  contain all keys; (bsc#1184630);
- Fix nss_ldap package unnecessarily installed; (bsc#1185499);
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Tue Nov 24 2020 Noel Power <nopower@suse.com>
- Fix cli 'help' handling for auth-client & ldapkrb;
  (bsc#1172340).
- 4.3.2
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(auth-client) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.1
* Thu May  7 2020 Josef Reidinger <jreidinger@suse.com>
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Wed Jan 29 2020 Jaroslav Jindrak <jjindrak@suse.cz>
- Default bind_policy to 'soft' if not present in the config
  (bsc#1162025).
- 4.2.4
* Mon Jan 13 2020 Peter Varkoly <varkoly@suse.com>
- SLEx_15_LOC : YaST: ALL_LANGS:Untranslated text in User Logon
  Management/Manage Domain User Login/Active Directory Enrollment dialog
  bsc#1083947
* Fri Nov  8 2019 Samuel Cabrero <scabrero@suse.de>
- Add missing domain setting 'ignore_group_members'; (bsc#1153547);
- 4.2.3
* Thu Aug 22 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.2
* Thu Jun 20 2019 Samuel Cabrero <scabrero@suse.de>
- Fix an issue importing legacy XML based autoyast configuration;
  (bsc#1137380);
- Require network to be configured before importing autoyast
  configuration; (bsc#1136139);
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Fri Feb 15 2019 David Mulder <dmulder@suse.com>
- yast auth-client and krb5.conf wrong domain_realm entry; (bsc#1122026)
- 4.1.1
* Fri Nov 23 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Thu Apr  5 2018 mfilka@suse.com
- bnc#1087957
  - version bump
- 4.0.0
* Fri Nov  3 2017 hguo@suse.com
- Upgrade to version 3.1.18 to introduce an RNC file that assists in
  autoyast XML validation (bsc#1062828).
* Tue Aug 29 2017 hguo@suse.com
- Bump to version 3.3.17 to fix two issues:
  * Mistake in kerberos config file parser removes default_ccache_name
    key (bsc#1054436).
  * PAM configuration did not allow local user login if pam_unix2 is
    in use (bsc#1056158).
* Fri Jun 16 2017 hguo@suse.com
- Bump to version 3.3.16 to fix minor issues across UI and backend:
  * Fix misspelt kerberos option name "noaddresses".
  * Improve UI captions, consistency.
  * Introduce module name "auth" as an alias to "auth-client".
  for bsc#1043211, bsc#1043184, bsc#1032733.
* Tue May 23 2017 hguo@suse.com
- Bump to version 3.3.15 to fix four issues:
  * Correctly install sss name databases even in the presence of
    special NSS database directives (bsc#1024841).
  * Fix missing translation of "Leave Domain" button (bsc#1038291).
  * Do AD's DNS lookup in lower case (bsc#1038720).
  * Understand XML data exported by SLES 12 SP0 (bsc#1040393).
* Fri May 19 2017 lslezak@suse.cz
- Translation fix: Ruby gettext cannot extract translatable texts
  from interpolated strings (bsc#1038077)
- 3.3.14
* Wed Oct 12 2016 hguo@suse.com
- Add a missing nil check in network fact reader.
- Bump version to 3.3.13 for bsc#1004083.
* Tue Oct 11 2016 hguo@suse.com
- Change dialog return value to :next so that yast2-users will
  reload its summary upon completion of this dialog.
- Format spec file with rake tool.
  Bump version to 3.3.12 for bsc#1000749.
* Mon Oct  3 2016 igonzalezsosa@suse.com
- Add missing textdomain declaration for localization (bsc#988374)
- Bump version to 3.3.12
* Tue Sep  6 2016 hguo@suse.com
- Fix an issue with UI layout after leaving a domain (bsc#997380).
- Make DNS update optional for AD enrollment (bsc#991564).
- Fix inaccurate description of ad_server parameter (bsc#996873).
- Do not allow using hard bind policy in LDAP config (bsc#996538).
  Bump version to 3.3.11.
* Mon Aug 15 2016 hguo@suse.com
- Continue with bsc#991855 by removing unnecessary default values.
  Add previously missing autofs parameters as well.
  Bump version to 3.3.10.
* Wed Aug  3 2016 ralf.habacker@freenet.de
- Add missing search_base related attributes
  to auth-client ldap domain. (bsc#991855)
  Bump version to 3.3.9.
* Wed Jul 13 2016 hguo@suse.com
- Fix bsc#986281:
  * Support importing configuration from legacy XML.
  * Always install sssd-tools.
  * Allow customising homedir override in domains.
  * Fix exceptions caused by missing dependencies at runtime.
  Bump version to 3.3.8.
* Tue Mar 22 2016 hguo@suse.com
- Introduce many new features:
  * Simplify SSSD management interface.
  * Enroll to AD directly from SSSD management interface.
  * Edit settings for NSS/PAM LDAP.
  * Edit settings for Kerberos.
  Implements: fate#319137 fate#320407
  Partly implements: fate#316205 fate#320364
* Mon Nov 23 2015 hguo@suse.com
- Redo fix for bsc#948432, with even more space for the two big buttons.
  Version number is now 3.3.6.
* Mon Oct 26 2015 hguo@suse.com
- Fix main dialog's header label. bsc#951586
- Improve RPM description text.
* Fri Oct 16 2015 hguo@suse.com
- Increase width of the left panel on main dialog. bsc#948432
* Fri Oct  9 2015 mvidner@suse.com
- Fixed "Relax-NG parser error : Some defines for timeout needs the
  combine attribute" when checking validity of any AutoYaST profile
  (bsc#948206).
- 3.3.3
* Thu Oct  8 2015 ancor@suse.com
- Upgrade to version 3.3.2:
  * Fix untranslated word in main dialog (bsc#948843)
* Tue Jun 16 2015 hguo@suse.com
- Upgrade to version 3.3.1:
  * Simply the UI of the Initial Customisation dialog.
  * Fix a typo on main screen.
  * Fix a regression in "delete parameter" feature".
  * Fix incorrect value defaults of several provider options.
  (Implements part of fate#316349)
* Wed May 27 2015 hguo@suse.com
- Upgrade to version 3.3.0:
  Introduction of new features, bug fixes, and improved user experience -
  * Add ability to disable SSSD daemon along with its configuration.
  * Add ability to remove customisation from an optional parameter.
  * New diaglog "Initial Customisation" helps with customising important parameters
    for joining a new domain.
  * Prompt user when sssd or autofs daemon fail to be started.
  * Fix several parameter descriptions and value defaults.
  * Fix configuration of autofs and sudo NSS databases.
  * Fix relevant parameters not showing up in "More Parameters" list.
  * Other cosmetic fixes on UI labels and layout.
  (Implements part of fate#316349)
* Mon Apr 20 2015 hguo@suse.com
- Fix the handling of boolean type parameters when invoked by autoyast.
* Thu Mar 26 2015 hguo@suse.com
- Version 3.2 introduces a re-designed UI, to pack more information on the screen by
  by utilising a tree overview and two table detail-view; the detail view on the
  right side shows the configuration details of the chosen Section; more customisable
  parameters are displayed in table along with a Quick Search filter. Under the scene,
  UI presentation and logics have been split into separate source files; the use of
  legacy Yast.include has been replaced by the now recommended ruby-require, and the
  legacy packaging mechanism Makefile has been replaced by Rake. The program entry,
  command line parameters, AutoYast, and the module implementation are not changed.
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Oct 31 2014 varkoly@suse.com
- bnc#893983 - Removed an unnecessary hard dependency on sssd.
- bnc#907830 - No option to 'Create Home Directory on Login' in Authentication module
- 3.1.23
* Tue Sep 16 2014 varkoly@suse.com
- Fix frame description.
- 3.1.21
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.20
* Thu Aug  7 2014 varkoly@suse.com
- bnc#889762 - yast2-auth-client lacks help.
- Services can have more values.
- ldap_search_base is not a mandatory parameter.
- 3.1.19
* Fri Aug  1 2014 schubi@suse.de
- Fixed error while parsing autoyast settings with missing
  'sssd_conf' entry. (bnc#889758)
- 3.1.18
* Mon Jun 23 2014 ckornacker@suse.com
- fix deletion of sssd domains
- fix setting nsswitch.conf parameters
- 3.1.17
* Tue May 20 2014 varkoly@suse.com
- bnc#870075 Typos in auth-client.pot
- 3.1.16
* Fri May 16 2014 ckornacker@suse.com
- Validate sssd.conf config parameter values (bnc#876721)
- 3.1.15
* Thu May  8 2014 varkoly@suse.com
- bnc#877133 - yast2-auth-client exports bad formatted hash.
- Fix activating autofs
- The default ldap schema rfc2307 is deprecated use rfc2307bis.
- Restart sssd after saving the configuration.
- 3.1.14
* Wed Apr 30 2014 ckornacker@suse.com
- Don't enable sssd if no domains are configured (bnc#870905)
- 3.1.13
* Wed Apr 16 2014 varkoly@suse.com
- 3.1.12
- Add some ipa parameter.
- Use ComboBox if only certain values are allowed for a parameter.
- bnc#870645 - yast/wfm.rb:202 Internal error. undefined method `each_key' for nil:NilClass
* Tue Apr  1 2014 varkoly@suse.com
- bnc#870649 - Typo in yast2 sssd configuration
- 3.1.11
* Wed Mar 26 2014 varkoly@suse.com
- bnc#870075 - Typos in aut-client.pot
- Fix handling domain names with "."
- 3.1.10
* Tue Mar 18 2014 ckornacker@suse.com
- Add missing autoyast methods (bnc#868695)
- Fix some typos
- 3.1.9
* Fri Mar  7 2014 varkoly@suse.com
- Install needed sssd subpackages
- 3.1.8
* Mon Feb 24 2014 varkoly@suse.com
- bnc##865328 yast2 clone_system throws internal error for undefined
  method `y2milestones' for Yast::Builtins:Module
- 3.1.7
* Wed Feb 12 2014 varkoly@suse.com
- Add missed sudo parameter.
- 3.1.6
* Tue Feb 11 2014 varkoly@suse.com
- Move ldap_conf.scr into yast2-ldap
* Thu Feb  6 2014 varkoly@suse.com
- Fix syntax error in autoyast file
- 3.1.5
* Fri Jan 31 2014 varkoly@suse.com
- Increase version. It is needed for conflicting old yast2-ldap-client versions.
* Wed Jan 29 2014 varkoly@suse.com
- Replace AuthClient.pm by AuthClient.rb
* Tue Jan 14 2014 varkoly@suse.com
- Initial version of yast2-auth-client module. This module will
  subtituate the yast2 modules: yast2-ldap-client yast2-kerberos-client
  yast2-samba-client and provides multi domain authentication
